cancel
Showing results for 
Search instead for 
Did you mean: 

nbrepo for vxUpdate

Hi,

has anybody seen this error regarding nbrepo and vxupdates. Trying to create repo.

NBU 8.1.2.

[root@ vxupdates]# nbrepo -a /opt/install/vxupdates/vxupdate_nb_8.2_redhat_x64.sja
Adding package to the repository. This may take a few minutes...
Error: Unrecognized package name.
[root@ vxupdates]#
[root@ vxupdates]#
[root@ vxupdates]# nbrepo -a /opt/install/vxupdates/vxupdate_nb_8.2_suse_x64.sja
Adding package to the repository. This may take a few minutes...

Error: Unrecognized package name.

All .sja pacages get teha same error.

-rwxrwxrwx 1 root root 1327019231 Jun 4 11:02 vxupdate_nb_8.2_redhat_x64.sja
-rwxrwxrwx 1 root root 1243168709 Jun 4 11:03 vxupdate_nb_8.2_suse_x64.sja
-rwxrwxrwx 1 root root 1669754561 Jun 4 11:03 vxupdate_nb_8.2_windows_x64.sja
-rwxrwxrwx 1 root root 845850386 Jun 4 11:04 vxupdate_nbclient_8.2_debian_x64.sja
-rwxrwxrwx 1 root root 121555938 Jun 4 11:04 vxupdate_nbclient_8.2_redhat_ppc64le.sja

 

Did not change the names of downloaded files.

Thank you.

sven

Tags (2)
1 Solution

Accepted Solutions
Accepted Solution!

Re: nbrepo for vxUpdate

I think you will find that the issue is that you are trying to add an 8.2 package to an 8.1.2 master. I believe (but have not found documented yet) that although the vxupdate packages are backwards compatible they are not forward compatible. 

So you can add 8.1.2 or 8.2 packages to an 8.2 master, however you can only add 8.1.2 packages to an 8.1.2 master. 

As an aside, it makes no sense to do what you are trying as you need to have your master at 8.2. before you can upgrade any clients or media servers to 8.2

View solution in original post

3 Replies

Re: nbrepo for vxUpdate

client get different error:

 

[root@ vxupdates]# nbrepo -a vxupdate_nbclient_8.2_redhat_ppc64le.sja
Adding package to the repository. This may take a few minutes...
Error: nbrepo operation failed with status [8626].

Accepted Solution!

Re: nbrepo for vxUpdate

I think you will find that the issue is that you are trying to add an 8.2 package to an 8.1.2 master. I believe (but have not found documented yet) that although the vxupdate packages are backwards compatible they are not forward compatible. 

So you can add 8.1.2 or 8.2 packages to an 8.2 master, however you can only add 8.1.2 packages to an 8.1.2 master. 

As an aside, it makes no sense to do what you are trying as you need to have your master at 8.2. before you can upgrade any clients or media servers to 8.2

View solution in original post

Re: nbrepo for vxUpdate

Thank you.

this is probably it.